Name:           python-django-staticfiles
Version:        1.2.1
Release:        9%{?dist}
Summary:        A Django app that provides helpers for serving static files

Group:          Development/Languages
License:        BSD
URL:            http://django-staticfiles.readthedocs.org/
Source:         http://pypi.python.org/packages/source/d/django-staticfiles/django-staticfiles-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
Requires:       python-django
Requires:       python-django-appconf

Provides: django-staticfiles = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-staticfiles < 0.3.2-6

%description
This is a Django app that provides helpers for serving static files.
The main website for django-staticfiles is github.com/jezdez/django-staticfiles 
where you can also file tickets.

%prep
%setup -q -n django-staticfiles-%{version}
rm -f docs/_build/html/.buildinfo
rm -rf django_staticfiles.egg-info 

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc docs/ LICENSE AUTHORS README.rst
%{python_sitelib}/staticfiles
%{python_sitelib}/django_staticfiles-%{version}-py?.?.egg-info

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 16 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.1-4
- correct django-staticfiles obs_ver once more, since there's an even
  newer build in F17

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.1-3
- correct django-staticfiles obs_ver

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-2
- fix log date

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-1
- New Upstream Version
- add new dependency appconf

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-6
- rebuilt

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-5
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sat May 26 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-4
- Package rename to python-django-staticfiles. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-3
- Removed hidden .buildinfo from docs dir

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-2
- Fixed License, URL, BuildRequires, long description, dot at summary

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-1
- Initial RPM release

